<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, PATCH, PUT, DELETE, OPTIONS');
header('Access-Control-Allow-Headers: Origin, Content-Type, X-Auth-Token');

use App\Controller\BlogController;
use App\DB\DB;

require __DIR__ . '/../vendor/autoload.php';

// use App\Lime\App as App;
// use Lime\DB\DB;

$app = new Lime\App();

// $app->path('views', __DIR__ . '../views');

$app->service("db", function () {
    $db = new DB;
    return $db;
});
/* ======================
// Posts
=======================*/

$app->bindClass(BlogController::class, 'api');

/* ======================
// Test
=======================*/
$app->get("/hello/:name", function ($params) {;
    return "Hello" . " " . $params["name"];
});

$app->get("/", function () {

    $data = array(
        "name"  => 'Test',
    );

    return $this->render("../views/layout.php", $data);
});

$app->run();
