<?php

namespace App\DB;

use \App\DB\DB;

class BlogDB
{
    protected $db;

    public function __construct(DB $db)
    {
        $this->db = $db;
    }

    public function getPosts()
    {
        $posts = [];
        $errors = [];
        $postAmt = 0;

        try {
            $stmt = $this->db->prepare("SELECT COUNT (post_id) from posts");
            $res = $stmt->execute();
            if ($res) {
                $row = $res->fetchArray(SQLITE3_ASSOC);
                $arr =  array_values($row);
                $postAmt =  $arr[0];
            }
        } catch (\Throwable $th) {
            $errors[0] = $this->db->lastErrorMsg();
        }

        $sql = "SELECT * FROM posts";
        $stmt = $this->db->prepare($sql);
        $res = $stmt->execute();
        while ($row = $res->fetchArray(SQLITE3_ASSOC)) {
            $data[] = $row;
        }
        return $data;

        // for ($x = 1; $x <  $postAmt + 1; $x++) {


        //     $post_queries = [
        //         "post_content" => [
        //             "label" => 'post_content',
        //             "qry" => "SELECT post_content FROM posts where post_id IS $x"
        //         ],
        //         "post_author" => [
        //             "label" => 'post_author',
        //             "qry" => "SELECT post_author FROM posts where post_id IS $x"
        //         ],

        //     ];

        //     $post_catcher = [];

        //     foreach ($post_queries as $key => $value) {
        //         try {
        //             $stmt = $this->db->prepare($value['qry']);
        //             $res = $stmt->execute();

        //             if ($row = $res->fetchArray(SQLITE3_ASSOC)) {
        //                 $post_catcher[$key] = $row[$key];
        //             };
        //         } catch (\Throwable $th) {
        //             $errors[$value[0]] = $this->db->lastErrorMsg();
        //         }
        //     }
        //     array_push($posts, $post_catcher);
        // };

        if (empty($errors)) {
            return $posts;
        } else {
            return "false";
        }
    }

    public function addPost($values)
    {
        try {
            $sql = "INSERT INTO posts('post_content', 'post_author') VALUES(:postcontent, :postauthor);";
            $stmt = $this->db->prepare($sql);
            $stmt->bindValue(':postcontent', $values->content, SQLITE3_TEXT);
            $stmt->bindValue(':postauthor', $values->author, SQLITE3_TEXT);

            if ($stmt->execute()) {
                return ['status' => true];
            } else {
                $error = $this->db->lastErrorMsg();
                return ['status' => false, 'err' => $error];
            }
        } catch (\Throwable $th) {
            $error = ['message' => $this->db->lastErrorMsg(), 'code' => $this->db->lastErrorCode()];
            return ['status' => false, 'err' => $error];
        }
    }
}
