import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import axios from "axios";
import VueFormulate from "@braid/vue-formulate";

axios.defaults.baseURL = "http://localhost:8000/api/";

Vue.use(axios);
Vue.config.productionTip = false;

Vue.use(VueFormulate, {
  uploader: axios,
  uploadUrl: "/image-upload?XDEBUG_SESSION_START=1",
});

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
